#
# spec file for package vino (Version 2.12.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv intltool iso_ent kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidl libidn libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel sharutils startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           vino
BuildRequires:  gnome-common gnome-desktop-devel gnutls-devel gtkdoc intltool kdelibs3-doc libglade2-devel libgnomeui-devel libidl mDNSResponder-devel perl-XML-Parser scrollkeeper sharutils update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.0
Release:        25.4
Summary:        GNOME VNC Server
Source:         vino-%{version}.tar.bz2
Patch:          vino-desktop.patch
Patch2:         vino-xgl.patch
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem /usr/bin/touch gconf2

%description
A VNC Server for GNOME



Authors:
--------
    This is just another re-incarnation of many other similar projects:
     
     + libvncserver by Johannes E. Schindelin
         which in turn is based on:
           - OSXvnc by Dan McGuirk
           - The original Xvnc by AT&T Laboratories, Cambridge
           - TightVNC by Const Kaplinsky
           - RealVNC by James "Wez" Weatherall
          
     + krfb, KDE's desktop sharing server, by Tim Jansen
     + x11vnc.c (from libvncserver) by Karl J. Runge
     + x0rfbserver, the original native X vnc server, by Jens Wagner
     
    Much code and ideas from each of those projects is re-used here.

%debug_package
%prep
%setup
%patch
%patch2

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
# requires gtkdoc gnome-common
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include -fno-strict-aliasing " \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --libexecdir=%{prefix}/lib/gnome-applets \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL 
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
%suse_update_desktop_file vino-preferences System X-SuSE-ControlCenter-System
%find_lang %{name}

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/vino-server.schemas >/dev/null

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{sysconfdir}/gconf/schemas/vino-server.schemas
%{prefix}/bin/vino-preferences
%{prefix}/%_lib/bonobo/servers/*
%{prefix}/lib/gnome-applets/*
%{prefix}/share/applications/*
%{prefix}/share/gnome/vino
%{prefix}/share/icons/hicolor

%changelog -n vino
* Thu May 11 2006 - danw@suse.de
- Add fallback code so this still works if the X server doesn't
  support XShm shared pixmaps (eg, Xgl). #173173
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of old ones.
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 25 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 - rodrigo@suse.de
- Added vino-desktop.patch (#131371)
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Thu Aug 25 2005 - gekker@suse.de
- Update to version 2.11.92
* Tue Aug 02 2005 - sbrabec@suse.cz
- Updated to version 2.11.90.
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 2.11.1.2
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Jan 24 2005 - ro@suse.de
- fix build on lib64
* Fri Jan 21 2005 - clahey@suse.de
- Initial import.
